%% SIMULACIN SISTEMA DE TRACCIN ELCTRICA (STE)

%% Parmetros de la mquina
Pmax = 35000;      % Potencia Mxima                  [W]
Tmax = 205;        % Par Mximo                       [N*m]
Ld   = 0.00024368; % Inductancia eje d                [H]
Lq   = 0.00029758; % Inductancia eje q                [H]
L0   = 0.00012184; % Inductancia cero                 [H]
Rs   = 0.010087;   % Resistencia del esttor          [Ohmios]
IP = 0.04366;      % Flujo de los imanes permanentes  [Wb]
p    = 8;          % Pares de polos
Jm   = 0.1234;     % Inercia del rotor                [Kg*m^2]

%% Parmetros de la batera (tambin en simulacin SGE)
Vnom = 400;        % Voltaje nominal     [V] 
Cdc  = 0.0022;     % Condensador bus DC  [F]

%% Parmetros de los semiconductores (tambin en simulacin SGE)
VCE_sat=1.4; %Voltaje en conduccin de los IGBT [V]
Vf=2.5; %Voltaje en conduccin del diodo [V]
Cdiodo=600; %Capacidad de la unin del diodo [pF]
Iinvd=-70; %Pico de corriente de recuperacin inversa del diodo [A]
Iinvd_pend=-1200; %Pendiente de la corriente de recuperacin inversa del diodo [A/us]
trinv=110; %Tiempo de recuperacin inversa del diodo [ns]

%% Parmetros de control
Ts   = 1e-5;        % Periodo de muestreo fundamental             [s]
fc   = 10e3;        % Frecuencia de conmutacin IGBTs             [Hz]
num_reg= [1.913 -1.838]; %Numerador de los reguladores de corriente
den_reg=[1 -1];%Denominador de los reguladores de corriente

%% Matrices y vectores de referencia 
load ee_ipmsm_35kW_ref_idq;
VDC_VECT=[350 375 400 425];

%% Parmetros dinmicos del vehculo
mv    = 1000;   % Masa del vehculo                      [kg]
g     = 9.8;    % Aceleracin de la gravedas             [m/s^2]
rho   = 1.2;    % Densidad del aire                      [kg/m^3]
AF    = 0.8;    % Superficie frontal                     [m^2]
cd    = 0.3;    % Coeficiente de rozamiento aerodinmico [N*s^2/kg*m]
cr    = 0.03;   % Coeficiente de rozamiento            
RT   = 5;       % Relacin de transmisin reductora           
Rr    = 0.3;    % Radio de las ruedas                    [m]

%% SIMULACIN SISTEMA DE GESTIN DE ENERGA (SGE)

%% Parmetros de la batera
Wh=20000; %Capacidad de la batera [Wh]
Ah=Wh/Vnom; %Capacidad de la batera [Ah]
Ah1=0.5*Ah; %Carga de la batera cuando el voltaje es V1 [Ah]
V1=0.9*Vnom;% Voltaje cuando la carga es Ah1 [V]
Ah0=0.8*Ah; %Carga inicial de la batera [Ah]
SOC0=0.8; %Estado de carga (SOC) inicial de la batera
Lbat=3e-6; %Inductancia de la batera [H]

%% Parmetros del supercondensador
CSC=20.6; %Capacidad del supercondensador [F]
RSC=0.048; %ESR supercondensador [ohmios]

%% Parmetros del convertidor 
Lconv=1e-3; %Inductancia del convertidor [H]
Iriz=4; %Rizado deseado en la bobina [A]
